#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  Exempi-2.6.6

- Next

  fftw-3.3.11

- Up
- Home

# fast_float-8.2.5

## Introduction to Fast_float

Fast_float provides a set of C++ header files for efficient string to float operations.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/fastfloat/fast_float/archive/v8.2.5/fast_float-8.2.5.tar.gz

- Download MD5 sum: 9afb0168059bad268412619fa2b54680

- Download size: 120 KB

- Estimated disk space required: 1.4 MB (add 620 MB for tests)

- Estimated build time: less than 0.1 SBU (add 0.3 SBU for tests, depending on network connection)

### Fast_float Dependencies

#### Required

CMake-4.3.2

#### Optional

git-2.53.0 (for downloading some tests) and doctest

### Note

An Internet connection is needed for some tests of this package. The system certificate store may need to be set up with make-ca-1.16.1 before testing this package.

## Installation of Fast_float

Install fast_float by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -G Ninja ..

Now, as the `root` user:

    ninja install

To test the results, issue: cmake .. -D FASTFLOAT_TEST=ON && ninja && ninja test. Note that the tests download some test files and the external doctest test framework from the Internet, and the doctest package would have been installed if the test suite had run before ninja install, so don't run the test suite before installation.

## Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/include/fast_float and /usr/share/cmake/FastFloat

- Prev

  Exempi-2.6.6

- Next

  fftw-3.3.11

- Up
- Home